Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 117917 - Sun Blade 100/150 framebuffer is broken in 2.6.x
Summary: Sun Blade 100/150 framebuffer is broken in 2.6.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: Sparc64 Linux
: High normal (vote)
Assignee: Daniel Drake (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-05 11:47 UTC by Gustavo Zacarias (RETIRED)
Modified: 2006-01-19 01:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Blade 100/150 fb fix patch (blade-100-150-fb.patch,961 bytes, patch)
2006-01-05 11:48 UTC, Gustavo Zacarias (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Zacarias (RETIRED) gentoo-dev 2006-01-05 11:47:34 UTC
Sun Blade 100/150 workstation framebuffers won't work properly on 2.6 kernels.
Please apply to gentoo-sources-2.6.15+, we'll keyword ~sparc with some testing afterwards.
Thanks.
Comment 1 Gustavo Zacarias (RETIRED) gentoo-dev 2006-01-05 11:48:01 UTC
Created attachment 76256 [details, diff]
Blade 100/150 fb fix patch
Comment 2 Kerin Millar 2006-01-10 21:07:53 UTC
FYI, this is fixed in the vanilla 2.6.14.6 kernel (yet to be folded into genpatches at the time of writing).
Comment 3 Gustavo Zacarias (RETIRED) gentoo-dev 2006-01-11 04:34:37 UTC
It also went into what will become 2.6.15.1 and i prefer the 2.6.15 series since the 2.6.14 series has other issues that aren't so easily patched (bbc_envctrl eats cpu, the alsa driver isn't fixed, v240 doesn't work right and many many others).
Comment 4 Daniel Drake (RETIRED) gentoo-dev 2006-01-19 01:57:29 UTC
Fixed in gentoo-sources-2.6.15-r1